# Method: customers.update

Updates a customer.

### HTTP request

`PUT https://admin.googleapis.com/admin/directory/v1/customers/{customerKey}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `customerKey` | `string` Id of the customer to be updated |

### Request body

The request body contains an instance of `https://developers.google.com/workspace/admin/directory/reference/rest/v1/customers#Customer`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/workspace/admin/directory/reference/rest/v1/customers#Customer`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/admin.directory.customer`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).